# Interface methods for submodule: LabelContourImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy, ScanlineFilterCommonProxy as _ScanlineFilterCommonProxy


# Interface methods for class: LabelContourImageFilter
class LabelContourImageFilterProxy(_InPlaceImageFilterProxy, _ScanlineFilterCommonProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

